
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Flash网站模块化拖动技术探解 / iVAN</title>

    <meta name="description" content="Flash网站模块化拖动技术探解 一.概述 目前MS和Google等大公司的网站里渐渐出现一种技术,可以实现用户界面的页面模块化拖动,我把它称之为网站模块化拖动技术. 先来看看一个MSN mySpace的例子,注意两张图片的不同: (网址为:spaces.msn.com,没有MSN账号的要注册) 而实现这一过程,只需用户在网页上拖动相应的模块,就能完全按自己的个人喜好,调整网页模块的位置,当然相信这些公司网站上出现的出于更多的目的是为了增加更多的用户体验,吸引更多的用户. 而我们要做的是用flash来实现这一技术,并且加予应用.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Flash网站模块化拖动技术探解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　一.概述</p>
<p>　　目前MS和Google等大公司的网站里渐渐出现一种技术,可以实现用户界面的页面模块化拖动,我把它称之为网站模块化拖动技术.</p>
<p>　　先来看看一个MSN mySpace的例子,注意两张图片的不同: (网址为:spaces.msn.com,没有MSN账号的要注册)</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc4MDU5MjEzODEuZ2lm.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc4MDU5MjE4NTYuZ2lm.jpg"></p>
<p>　　而实现这一过程,只需用户在网页上拖动相应的模块,就能完全按自己的个人喜好,调整网页模块的位置,当然相信这些公司网站上出现的出于更多的目的是为了增加更多的用户体验,吸引更多的用户. 而我们要做的是用flash来实现这一技术,并且加予应用.</p>
<p>　　首先我们得做个实验,就把网站想像成一块一块的,比如"新闻"一块,"会员登陆口"一块,"最新文章"一块,我们怎么对它们进行拖动呢?</p>
<p>　　OK,开始理清一下思路,现在我们现在必须考虑的是这些块要怎么排上去? 我们先不管什么"新闻","会员登陆口","最新文章"这些里面的内容,全部当他是MC1,MC2,MC3,实验先从简单化入手!</p>
<p>　　打开flash,做个类似下图的MC,MC里有个动态文本框,变量名:mcText ,同时给这个MC加上相应链接标识</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc4MDU5MjE2OTIuZ2lm.jpg"></p>
<p>//======================flash源代码======================//</p>
<p>//先定个边距，10px <br />var border:Number = new Number(10); <br />var Xmodel = border; <br />var Mod:Array = new Array(); <br />this.attachMovie("MC", "MC", this.getNextHighestDepth()); <br />this.MC._visible = false; <br />//用二维数组对MC位置进行排列，假定为2行，2列 <br />//列的循环 <br />for (var i = 0; i&lt;2; i++) { <br />var Ymodel = border; <br />//注意二维数组要先定义一维数组 <br />Mod[i] = new Array(); <br />//行的循环 <br />for (var j = 0; j&lt;2; j++) { <br />duplicateMovieClip(MC, "MC"+i+j, this.getNextHighestDepth()); <br />Mod[i][j] = "MC"+i+j; <br />//MC里的文本，用来区分不同MC <br />this[Mod[i][j]].mcText = "MC"+i+j; <br />this[Mod[i][j]]._y = Ymodel; <br />Ymodel += Number(this[Mod[i][j]]._height)+border; <br />this[Mod[i][j]]._x = Xmodel; <br />xx = Number(this[Mod[i][j]]._width); <br />} <br />Xmodel += xx+border; <br />} <br />//=============flash源代码=============//</p>
<p>　　这样MC的简单排列就完成了, 这是效果: fla文件在下面的章节里会有</p>
<p>　　在做完了模块的简单排列后,我们必须让每个模块能够按我们所希望的拖动,而且还必须自动排序,这节内容是MC数组的自动排序.<br />//=============flash源代码=========//</p>
<p>//先定个边距，10px <br />var border:Number = new Number(10); <br />var Xmodel = border; <br />var Mod:Array = new Array(); <br />var Wmod:Array = new Array(); <br />this.attachMovie("MC", "MC", this.getNextHighestDepth()); <br />this.MC._visible = false; <br />//用二维数组对MC位置进行排列，假定为2行，2列 <br />//列的循环 <br />for (var i = 0; i&lt;2; i++) { <br />var Ymodel = border; <br />//注意二维数组要先定义一维数组 <br />Mod[i] = new Array(); <br />//行的循环 <br />for (var j = 0; j&lt;2; j++) { <br />duplicateMovieClip(MC, "MC"+i+j, this.getNextHighestDepth()); <br />Mod[i][j] = "MC"+i+j; <br />//MC里的文本，用来区分不同MC <br />this[Mod[i][j]].mcText = "MC"+i+j; <br />this[Mod[i][j]]._y = Ymodel; <br />Ymodel += Number(this[Mod[i][j]]._height)+border; <br />this[Mod[i][j]]._x = Xmodel; <br />xx = Number(this[Mod[i][j]]._width); <br />} <br />Xmodel += xx+border; <br />/////////////////////// <br />这里以上是上一讲里面的代码 <br />/////////////////////////// <br />//创建一个新的数组用来做为传递的中介 <br />var aa:Array = new Array(); <br />for (var k = 0; k&lt;2; k++) { <br />aa[k] = new Array(); <br />for (var l = 0; l&lt;2; l++) { <br />aa[k][l] = Mod[i][j]; <br />//这里的n和m是用来定位，比如当n=1,m=0时，程序就可以很快知道现在拖的是第二列第一个模块了 <br />this[aa[k][l]].n = String(i); <br />this[aa[k][l]].m = String(j); <br />} <br />} <br />} <br />//创建函数 <br />//这是拖动时的函数,改变MC深度,透明度 <br />function moveOver(n, m, flagX, Xmove) { <br />this[aa[n][m]].swapDepths(m); <br />this[aa[n][m]]._alpha = 100; <br />if (n != flagX) { <br />//添加数组元素，而添加的内容正是当前拖动着的 <br />aa[flagX].splice(0, 0, aa[n][m]); <br />aa[n].splice(m, 1); <br />} <br />//对数组进行重新排序,因为每次拖动都会至少影响两个MC数组的位置 <br />for (var i = 0; i&lt;2; i++) { <br />for (var k = aa[i].length; k&gt;0; k--) { <br />for (var j = 0; j&lt;(k-1); j++) { <br />if ((this[aa[i][j]]._y+this[aa[i][j]]._width)/2&gt;this[aa[i][j+1]]._y) { <br />tt = aa[i][j+1]; <br />aa[i][j+1] = aa[i][j]; <br />aa[i][j] = tt; <br />} <br />} <br />} <br />} <br />} <br />//======================flash源代码======================//</p>
<p>经过了之前三章的了解，结合前面的代码,我们开始试着为模块的拖动做一个简单的demo <br />主要实现拖动后数组的重新排序及移动位置。 <br />下面代码有注释应该不难理解的 :)</p>
<p>//======================flash源代码======================// <br />//先定个边距，10px <br />var border:Number = new Number(10); <br />var Xmodel = border; <br />var Mod:Array = new Array(); <br />var Wmod:Array = new Array(); <br />this.attachMovie("MC", "MC", this.getNextHighestDepth()); <br />this.MC._visible = false; <br />//用二维数组对MC位置进行排列，假定为3列，2行 <br />var Cols:Number = 3; <br />var Rows:Number = 2; <br />//列的循环 <br />for (var i = 0; i&lt;Cols; i++) { <br />var Ymodel = border; <br />//注意二维数组要先定义一维数组 <br />Mod[i] = new Array(); <br />//行的循环 <br />for (var j = 0; j&lt;Rows; j++) { <br />duplicateMovieClip(MC, "MC"+i+j, this.getNextHighestDepth()); <br />Mod[i][j] = "MC"+i+j; <br />//MC里的文本，用来区分不同MC <br />this[Mod[i][j]].mcText = "MC"+i+j; <br />this[Mod[i][j]]._y = Ymodel; <br />Ymodel += Number(this[Mod[i][j]]._height)+border; <br />this[Mod[i][j]]._x = Xmodel; <br />xx = Number(this[Mod[i][j]]._width); <br />} <br />Xmodel += xx+border; <br />} <br />//创建一个新的数组用来做为传递的中介 <br />var aa:Array = new Array(); <br />for (var i = 0; i&lt;Cols; i++) { <br />aa[i] = new Array(); <br />for (var j = 0; j&lt;Rows; j++) { <br />aa[i][j] = Mod[i][j]; <br />//这里的n和m是用来定位，比如当n=1,m=0时，程序就可以很快知道现在拖的是第二列第一个模块了 <br />this[aa[i][j]].n = String(i); <br />this[aa[i][j]].m = String(j); <br />} <br />} <br />//创建函数 <br />//鼠标拖动时，改变模块的深度和透明度 <br />function Modlocation(n, m) { <br />this[aa[n][m]].swapDepths(this.getNextHighestDepth()); <br />this[aa[n][m]]._alpha = 30; <br />} <br />//这是拖动时的函数。flagX：将要移动到的列 <br />function moveOver(n, m, flagX, Xmove) { <br />this[aa[n][m]].swapDepths(m); <br />this[aa[n][m]]._alpha = 100; <br />this[aa[n][m]]._width = this[Mod[flagX][0]]._width; <br />if (n != flagX) { <br />//添加数组元素，而添加的内容正是当前拖动着的 <br />aa[flagX].splice(0, 0, aa[n][m]); <br />aa[n].splice(m, 1); <br />} <br />//对数组进行重新排序 <br />for (var i = 0; i&lt;Cols; i++) { <br />for (var k = aa[i].length; k&gt;0; k--) { <br />for (var j = 0; j&lt;(k-1); j++) { <br />if ((this[aa[i][j]]._y+this[aa[i][j]]._width)/2&gt;this[aa[i][j+1]]._y) { <br />tt = aa[i][j+1]; <br />aa[i][j+1] = aa[i][j]; <br />aa[i][j] = tt; <br />} <br />} <br />} <br />} <br />//重新排序后，模块的位置 <br />var Xmodel = border; <br />for (var i = 0; i&lt;Cols; i++) { <br />var Ymodel = border; <br />for (var j = 0; j&lt;aa[i].length; j++) { <br />this[aa[i][j]]._x = Xmodel; <br />this[aa[i][j]]._y = Ymodel; <br />this[aa[i][j]].n = String(i); <br />this[aa[i][j]].m = String(j); <br />Ymodel += Number(this[aa[i][j]]._height)+border; <br />xx = Number(this[aa[i][j]]._width); <br />} <br />Xmodel += xx+border; <br />} <br />} <br />//移动后根据模块大小，调整模块位置 <br />function ModMove(n, m) { <br />tt1 = border; <br />tt2 = this[Mod[0][0]]._width+2*border; <br />tt3 = this[Mod[0][0]]._width+this[Mod[1][0]]._width+3*border; <br />//当前第一列 <br />if (n == 0) { <br />if ((this[aa[n][m]]._x+this[aa[n][m]]._width)&gt;tt2) { <br />if ((this[aa[n][m]]._x+this[aa[n][m]]._width)&lt;tt3) { <br />flagX = 1; <br />moveOver(n, m, flagX, Xmove); <br />} <br />if ((this[aa[n][m]]._x+this[aa[n][m]]._width)&gt;=tt3) { <br />flagX = 2; <br />moveOver(n, m, flagX, Xmove); <br />} <br />} else { <br />flagX = 0; <br />moveOver(n, m, flagX, Xmove); <br />} <br />} <br />//当前第二列 <br />if (n == 1) { <br />if (this[aa[n][m]]._x&lt;(tt2-border)) { <br />flagX = 0; <br />moveOver(n, m, flagX, Xmove); <br />} <br />if (this[aa[n][m]]._x&gt;=(tt2-border)) { <br />if ((this[aa[n][m]]._x+this[aa[n][m]]._width)&lt;=tt3) { <br />flagX = 1; <br />moveOver(n, m, flagX, Xmove); <br />} <br />if ((this[aa[n][m]]._x+this[aa[n][m]]._width)&gt;tt3) { <br />flagX = 2; <br />moveOver(n, m, flagX, Xmove); <br />} <br />} <br />} <br />//当前第三列 <br />if (n == 2) { <br />if (this[aa[n][m]]._x&gt;=tt3) { <br />flagX = 2; <br />moveOver(n, m, flagX, Xmove); <br />} else if (this[aa[n][m]]._x&lt;tt2) { <br />flagX = 0; <br />moveOver(n, m, flagX, Xmove); <br />} else if (this[aa[n][m]]._x&gt;=tt2) { <br />flagX = 1; <br />moveOver(n, m, flagX, Xmove); <br />} <br />} <br />} <br />//=============flash源代码============//<br />　　到这里我们就初步实现了无内容flash网站模块的拖动和自动排序的demo，效果如下:</p>
<p><b>点击这里下载源文件</b></p>
<p>　　(未完待续)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:00:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/var/" title="var">var</a>, <a href="https://www.iamivan.net/tag/this/" title="this">this</a>, <a href="https://www.iamivan.net/tag/array/" title="array">array</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8c%e7%bb%b4/" title="二维">二维</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Flash网站模块化拖动技术探解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyvvXdp.html" rel="bookmark">Flash网站优化及透明FLASH代码详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Flash比GIF动画要漂亮些,我们把它设为透明后,Flash的背面我们可以插入一些漂亮的图片与之搭配达到很漂亮的效果:这时候可能更灵活的使用页面效果.或者仅仅在网页中加入透明的Flash,对于透明flash,如果无法加载,选择一种合适的代码,对于搜索引擎及用户体验来说都是很好的.在这里推荐使用第一种代码embed模式.漂亮的动画页面可吸引更			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkPjEb.html" rel="bookmark">CODE大全大量Flash网站收藏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的博客:CODE大全:www.codedq.net:业余草:www.xttblog.com:爱分享:www.ndislwf.com或ifxvn.com. http://www.wallop.com在线flash社区,个人空间. http://www.doof.com/doof/在线flash社区,很强,界面也很棒 http://Maps.amung.usflash网站来客定位. ttp://www.splashup.com/splashup/杀了我吧,这都做出来,在线photoshop,fle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGE2nM.html" rel="bookmark">让Flash网站具有IE前进后退功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flash全站的技术应用系列:(一)AS+JS的Flash网站无刷新定位技术  (二)Flash网站的SEO(三)Flash网站的流量统计(四)让Flash网站具有IE前进后退的功能 (本文) 前言: 写完流量统计的教程以后,本以为会很轻松地就可以完成该篇文章.后来才发现,原来还是遇到了困难.因为要通过iframe控制主HTML的变量,一开始,考虑到打开父窗口用的是_parent,而Flash里的父级也是_parent,于是理所当然地以为iframe访问主html也是通过_parent,结果,弄			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjLRZp.html" rel="bookmark">Flash 网站的流量统计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				流量|统计 Flash全站的技术应用系列:(一)AS+JS的Flash网站无刷新定位技术  (二)Flash网站的SEO(搜索引擎优化)(三)Flash网站的流量统计 (本文)(四)让Flash网站具有IE前进后退的功能 前言 前段时间发了两篇Flash全站的技术应用文章后,有部分网友提出说,叫我写篇文章,阐述如何实现IE的前进后退功能.但是这个并没有在我的计划之中,也没有研究过.找了一堆关于堆栈历史记录的东西,很多都用了AJAX,看着头晕,并且拷贝人家的代码来运行也实现不了.接着,还拿了2AD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgA3Az.html" rel="bookmark">全Flash网站制作剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经过一段时间的Flash学习之后,很多朋友开始对那些全Flash网站的制作发生兴趣.全Flash网站基本以图形和动画为主,所以比较适合做那些文字内容不太多,以平面.动画效果为主的应用.如:企业品牌推广.特定网上广告.网络游戏.个性网站等. 制作全Flash网站和制作html网站类似,事先应先在纸上画出结构关系图,包括:网站的主题.要用什么样的元素.哪些元素需要重复使用.元素之间的联系.元素如何运动.用什么风格的音乐.整个网站可以分成几个逻辑块.各个逻辑块间的联系如何.以及你是否打算用Flash建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlZyqz.html" rel="bookmark">Flash深入学习：全Flash网站制作剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(另外推荐学习:flash制作很出效果的韩国菜单 flash制作广告全程实例)     经过一段时间的Flash学习之后,很多朋友开始对那些全Flash网站的制作发生兴趣.全Flash网站基本以图形和动画为主,所以比较适合做那些文字内容不太多,以平面.动画效果为主的应用.如:企业品牌推广.特定网上广告.网络游戏.个性网站等. 制作全Flash网站和制作html网站类似,事先应先在纸上画出结构关系图,包括:网站的主题.要用什么样的元素.哪些元素需要重复使用.元素之间的联系.元素如何运动.用什么风格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKOj7b.html" rel="bookmark">VPN技术详解&lpar;下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 VPN技术详解(下)吕晓波 (紧接中篇) 数据传输阶段 一旦完成上述4阶段的协商,PPP就开始在连接对等双方之间转发数据.每个被传送的数据报都被封装在PPP包头内,该包头将会在到达接收方之后被去除.如果在阶段1选择使用数据压缩并且在阶段4完成了协商,数据将会在被传送之间进行压缩.类似的,如果如果已经选择使用数据加密并完成了协商,数据(或被压缩数据)将会在传送之前进行加密. 点对点隧道协议(PPTP) PPTP是一个第2层的协议,将PPP数据桢封装在IP数据报内通过IP网络,如Interne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQX0Wz.html" rel="bookmark">小议制作Flash网站及flash应用的技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧 flash网站技巧拾零 1. 快速更新网站文字 在Flash网站各子界面制作过程中,网站文字可以通过复制.粘贴.甚至直接导入文本的方式进行.这里介绍的方法是连A4Desk都不用打开,直接修改文本文件即可更新网站文字了.因为在制作Flash网站时,在软件安装目录下会自动生成一个import文件夹,该文件夹里的每一个文本文件的内容都和网站页面的内容相对应的,找到相应的文本文件即可进行修改了. 2. 快速修改菜单标签 在制作在Flash网站时,修改菜单标签是通过执行&quot;Edit→Section N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2l0qp.html" rel="bookmark">技巧：Flash 网站的 SEO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				seo|技巧 目前,全FLASH站里头的文字很难给一般的搜索引擎捕捉到(可能以后GOOGLE会有改善吧),因为搜索引擎只分析HTML页面里头的文字(动态页面如ASP,PHP那些也行,不过优先级会比较低),所以,FLASH在这方面是很吃亏的.之前也有人在这里发过关于FLASH的SEO问题,是通过XHTML实现的,今天我要给大家介绍的是另一种方法:通过网页重定向以及我上一篇教程的FLASH站定位技术. PS:这两种方法在搜索引擎眼里,都是作弊的行为.一个不小心,服务器给封了也不知道.所以建议大家如果			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO053b.html" rel="bookmark" class="title">ASP 系列函数大全&lpar;4&rpar;</a>
					<div>
						函数    Rnd()      函数产生一个随机数.      表达式 Rnd [ (number) ]      实例: &lt;%      Randomize()   response.wri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zey00z.html" rel="bookmark" class="title">做站，我仍然在挣扎中</a>
					<div>
						看到人家的站IP都在Q/W计算. 我的站PV用10+来形容. 为什么,网站质量是一个问题? 还是其他的问题,我也搞不懂. 学的是计算机,我学计算机的时候中国互联网处于起步阶段. 但是,现在中国的站长都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKdjZM.html" rel="bookmark" class="title">Android双机（网络和USB）调试及其完美ROOT</a>
					<div>
						本文主要讲如下两个内容. 1.  如何让一部Android手机带两台PC进行调试. 2.  如何完美Root Android手机. 我曾经遇到过这样的问题,Mac OS X上测试Android的系统程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL1Wab.html" rel="bookmark" class="title">php高效率写法40例</a>
					<div>
						0.用单引号代替双引号来包含字符串 ,这样做会更快一些.因为PHP会在双引号包围的字符串中搜寻变量,单引号则不会,注意:只有echo能这么做,它是一种可以把多个字符串当作参数的&quot;函 数&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK6o1p.html" rel="bookmark" class="title">php生成txt文件标题及内容的方法</a>
					<div>
						 本文为大家详细介绍下php如何生成txt文件标题及内容,下面有个不错的示例,大家可以感受下 代码如下: &lt;?php  /**  *1.前几天一哥们工作中他们领导让他写一个上生成文件的类:生成文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwRZap.html" rel="bookmark" class="title">kmplayer的默认热键</a>
					<div>
						  小键盘区: - 缩小画面 + 放大画面 * 恢复默认画面/垂直拉伸到16:9 TV/垂直拉伸超过16:9 TV/缩放至小于宽屏幕/缩放至宽屏幕/缩放至终极宽屏幕 / 设置A-B段复读 8 上移画面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwrPmb.html" rel="bookmark" class="title">腾讯微博4周年活动抽Q币在哪里抽？</a>
					<div>
						  活动地址:点击进入 活动时间:4月1日-5月31日 抽奖活动开始啦!100%中奖,微博会员有更多抽奖机会! 抽奖选项: 活动规则: 1.微博会员7天体验礼包给予微博用户免费体验微博会员特权的机会, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQwK5z.html" rel="bookmark" class="title">技术大牛带你走向机器学习&OpenCurlyDoubleQuote;正道&rdquo;：小朋友才迷信算法，大人们更重视工程实践</a>
					<div>
						雷锋网按:&quot;算法&quot;这两字在人工智能圈已然成为&quot;高大上&quot;的代名词,由于不少在校生和职场新人对它的过度迷恋,多名 AI 资深人士均对这一现象表示担忧.李开复曾这样说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZymKb.html" rel="bookmark" class="title">hibernate5&lpar;12&rpar;注解映射&lbrack;4&rsqb;一对一外键关联</a>
					<div>
						在实际博客网站中,文章内容的数据量非常多,它会影响我们检索文章其它数据的时间,如查询发布时间.标题.类别的等.这个时候,我们可以尝试将文章内容存在另一张表中,然后建立起文章--文章内容的一对一映射 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7lPnz.html" rel="bookmark" class="title">indows 消息拦截-&period;NET Console 控制台关闭消息捕获拦截问题</a>
					<div>
						问题描述 .NET Console 控制台关闭消息捕获拦截问题 大家好!我现在做一个.NET Console控制台程序,想拦截控制台窗体关闭消息, 我试过ControlCtrlDelegate Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPKZmp.html" rel="bookmark" class="title">数据库技术大会</a>
					<div>
						在本届数据库技术大会中,众多数据库领域资深专家将围绕数据库架构设计.基于数据库应用开发.数据库运维管理等主题展开深入的探讨,来自新浪.百度.阿里巴巴等IT巨头的讲师届时也将与大家分享数据库领域最先进的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6dywb.html" rel="bookmark" class="title">STM32F4 输入输出&lpar;GPIO&rpar;模式理解</a>
					<div>
						stm32的GPIO的配置模式有好几种,包括: 1. 模拟输入: 2. 浮空输入: 3. 上拉输入: 4. 下拉输入: 5. 开漏输出: 6. 推挽输出: 7. 复用开漏输出: 8. 复用推挽输出   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b328gkz.html" rel="bookmark" class="title">三维重建技术概述</a>
					<div>
						基于视觉的三维重建,指的是通过摄像机获取场景物体的数据图像,并对此图像进行分析处理,再结合计算机视觉知识推导出现实环境中物体的三维信息. 1. 相关概念 (1)彩色图像与深度图像 彩色图像也叫作RGB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWBd0p.html" rel="bookmark" class="title">如何用故事打造有温度有情怀的产品？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 导读:创业公司的创始人在开始设计产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr8XrM.html" rel="bookmark" class="title">巧用cheerio重构grunt-inline</a>
					<div>
						grunt-inline是楼主之前写的一个插件,主要作用是把页面带了__inline标记的资源内嵌到html页面去.比如下面的这个script标签. &lt;script src=&quot;main ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQy08z.html" rel="bookmark" class="title">&lbrack;终极精简版&rsqb;&lbrack;图解&rsqb;Nginx搭建flv mp4流媒体服务器</a>
					<div>
						花了我接近3周,历经了重重问题,今日终于把流媒体服务器搞定,赶紧的写个博文以免忘记... 起初是跟着网上的一些教程来的,但是说的很不全面,一些东西也过时不用了(比如jwplayer老版本).我这次是用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6OV9b.html" rel="bookmark" class="title">c&num;解析带命名空间的xml，求优化</a>
					<div>
						问题描述 大家觉得有什么可以改进的地方,如果用反射的话,能不能给点思路附件地址谢谢了~~~真心求指点,我是新手,主管给我出的题目,大家不用写的很具体,给我点提示就行 解决方案 解决方案二:你还是把主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lGQ3b.html" rel="bookmark" class="title">mysqldump常用于MySQL数据库逻辑备份</a>
					<div>
						  mysqldump常用于MySQL数据库逻辑备份.   1.各种用法说明      A. 最简单的用法: mysqldump -uroot -pPassword [database name] & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLR96p.html" rel="bookmark" class="title">php apache mysql-为什么登陆到phpmyadmin下的index&period;php文件时报出一堆错误</a>
					<div>
						问题描述 为什么登陆到phpmyadmin下的index.php文件时报出一堆错误 今天搭建PHP7.0的开发环境,apache2.4和php7.0.5和mysql5.7都搭建完成了,而且测试也可用. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AgLBz.html" rel="bookmark" class="title">求一个Repeater分页。。。效果见。。。</a>
					<div>
						问题描述 分页效果见:当点&quot;首页&quot;和尾页效果是不一样的.还有&quot;更多&quot;效果等.能解决者,要多少分都行. 解决方案 解决方案二:aspnetpager解决方案三:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKdgDb.html" rel="bookmark" class="title">取模运算-求大神解答关于大数幂的运算和去模运算，谢谢！！c语言</a>
					<div>
						问题描述 求大神解答关于大数幂的运算和去模运算,谢谢!!c语言 RT 比如说,2的10000000次方,我用double倒是可以算,但是如何去模呢... 2的10000000次方对1234567取模. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBvJqb.html" rel="bookmark" class="title">羊年2015不温顺&comma;IT行业天翻地覆</a>
					<div>
						羊年来了,这是十二生肖中最温顺的动物,但它所带来的2015,却一点都不温顺,甚至会将整个IT行业,搅得天翻地覆. 互联网将是继续创造奇迹和成就梦想的天地.2014年,阿里巴巴让全世界看懂了中国的电商, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBGD8b.html" rel="bookmark" class="title">美国学生也越来越不爱Windows电脑</a>
					<div>
						[摘要]2012年,Windows PC的销量占整体销量的75.2%,2013年下滑至72.3%.美国学生也越来越不爱Windows电脑趁着开学大肆采购手机电脑等数码产品,已经成为新生入学前的例行传统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z47YM.html" rel="bookmark" class="title">MapX 5&period;0控件不能在IE中加载</a>
					<div>
						问题描述 最近做了一个IE的OCX控件,其中用MapX5.0做了相关的地图模块功能.在AcyiveXControlTestContainer中验证控件正常,但是在IE中加控件时,调用Mapx相关的接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLGWYM.html" rel="bookmark" class="title">怎样构建加法计算题验证码？已经有个ASP得~但小弟不会转JSP&equals; &equals;&amp;amp&semi;amp&semi;quot&semi;&period;&period;&period;标题要长&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 如题~网上找了个ASP得~最近要弄个网站..但是验证码方面要求用加法计算题验证码...无语...大虾们帮帮小弟啊~~谢谢~~ASP得如下:1.产生随机数,并记录到COOKIES里面:&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgwP8M.html" rel="bookmark" class="title">Spring与activemq整合，消费者的消费速度非常慢</a>
					<div>
						问题描述 我使用spring与activemq整合发送消息,发送速度可以达到10000/s,但是消费者的消费速度却是非常慢,求给位大神帮忙!!!这是我配置文件的内容:&lt;beanid=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze06oNp.html" rel="bookmark" class="title">Java排序算法&amp;amp&semi;amp&semi;nbsp&semi;插入排序</a>
					<div>
						有一个已经有序的数据序列,要求在这个已经排好的数据序列中插入一个数,但要求插入后此数据序列仍然有序,这个时候就要用到插入排序法.本文主要介绍的是插入排序的java实现. AD: 插入排序的基本操作就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY8BWb.html" rel="bookmark" class="title">使用委托的好处</a>
					<div>
						问题描述 ClassDelegates{//定义委托publicdelegateintCall(intnum1,intnum2);classMath{publicintMultiply(intnum1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1D6Jdb.html" rel="bookmark" class="title">使用LitJSON&period;dll处理json格式的数据示例</a>
					<div>
						//下载LitJSON.dll:http://download.csdn.net/detail/pukuimin1226/5851711 using System; using System.Coll ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0vmnM.html" rel="bookmark" class="title">易时食品四款婴儿辅食上海口岸遭销毁</a>
					<div>
						亲贝网讯 国家质检总局抽检结果称,进口商为上海易时食品有限公司的四款喜宝牌婴儿辅助食品不合格.据亲贝网了解,国家质检总局近期公布了3月份进口不合格食品.化妆品名单,结果显示,进口商为上海易时食品有限公 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
